import request from '@/utils/request';

// 头部分类
export function getProductCategoryTree(query: any) {
  return request({
    url: '/product/indexProduct/getProductCategoryTree',
    method: 'get',
    params: query
  });
}

// 头部轮播
export function getHomeAdList(query: any) {
  return request({
    url: '/system/indexSystem/getHomeAdList',
    method: 'get',
    params: query
  });
}

//头部优易资讯
export function getYouYiZiXunPage(query: any) {
  return request({
    url: '/system/indexSystem/getYouYiZiXunPage',
    method: 'get',
    params: query
  });
}

//头部会员权益
export function getEnterpriseMemberEquityList(query: any) {
  return request({
    url: '/system/indexSystem/getEnterpriseMemberEquityList',
    method: 'get',
    params: query
  });
}

//首页三联广告(平台装修-楼层广告-首页三联广告)

export function getHomeThreeAdList(query: any) {
  return request({
    url: '/system/indexSystem/getHomeThreeAdList',
    method: 'get',
    params: query
  });
}

//热门方案标题
export function getHotSchemeTitle(query: any) {
  return request({
    url: '/system/indexSystem/getHotSchemeTitle',
    method: 'get',
    params: query
  });
}

//热门方案列表
export function getHotSchemeList(query: any) {
  return request({
    url: '/system/indexSystem/getHotSchemeList',
    method: 'get',
    params: query
  });
}

//场景采购标题
export function getScenePurchaseTitle(query: any) {
  return request({
    url: '/system/indexSystem/getScenePurchaseTitle',
    method: 'get',
    params: query
  });
}

//场景采购列表
export function getScenePurchaseList(query: any) {
  return request({
    url: '/system/indexSystem/getScenePurchaseList',
    method: 'get',
    params: query
  });
}

//大牌推荐标题（平台闪购标题）
export function getPlatformFlashSaleTitle(query: any) {
  return request({
    url: '/system/indexSystem/getPlatformFlashSaleTitle',
    method: 'get',
    params: query
  });
}

//大牌推荐列表（平台闪购列表）
export function getPlatformFlashSaleList(query: any) {
  return request({
    url: '/system/indexSystem/getPlatformFlashSaleList',
    method: 'get',
    params: query
  });
}

//大牌推荐列表（平台闪购列表）-右
export function getPlatformFlashSaleBrand(query: any) {
  return request({
    url: '/product/indexProduct/getPlatformFlashSaleBrand',
    method: 'get',
    params: query
  });
}

//行家精选标题
export function getExpertSelectionTitle(query: any) {
  return request({
    url: '/system/indexSystem/getExpertSelectionTitle',
    method: 'get',
    params: query
  });
}

//行家精选列表
export function getExpertSelectionList(query: any) {
  return request({
    url: '/product/indexProduct/getExpertSelectionList',
    method: 'get',
    params: query
  });
}

//采购指南标题
export function getPurchaseGuideTitle(query: any) {
  return request({
    url: '/system/indexSystem/getPurchaseGuideTitle',
    method: 'get',
    params: query
  });
}

//采购指南列表
export function getProcurementTopicsList(query: any) {
  return request({
    url: '/product/indexProduct/getProcurementTopicsList',
    method: 'get',
    params: query
  });
}

//外面循环
export function getClassificationFloorList(query: any) {
  return request({
    url: '/system/indexSystem/getClassificationFloorList',
    method: 'get',
    params: query
  });
}

//分类楼层详情（平台装修-分类楼层-详情）

export const getClassificationFloorDetail = (id: any) => {
  return request({
    url: '/system/indexSystem/getClassificationFloorDetail/' + id,
    method: 'get'
  });
};

//分类楼层标签（平台装修-分类楼层-标签）

export const getClassificationFloorLabel = (id: any) => {
  return request({
    url: '/system/indexSystem/getClassificationFloorLabel/' + id,
    method: 'get'
  });
};

//分类楼层详情（平台装修-分类楼层-详情）
export const getClassificationFloorDetail2 = (id: any) => {
  return request({
    url: '/product/indexProduct/getClassificationFloorDetail/' + id,
    method: 'get'
  });
};

//项目案例标题（平台装修-项目案例）

export function getProjectCaseTitle(query: any) {
  return request({
    url: '/system/indexSystem/getProjectCaseTitle',
    method: 'get',
    params: query
  });
}

//项目案例列表（平台装修-项目案例）

export function getProjectCaseList(query: any) {
  return request({
    url: '/product/indexProduct/getProjectCaseList',
    method: 'get',
    params: query
  });
}

//查看分类列表
export function getProductCategoryList(query: any) {
  return request({
    url: '/product/indexProduct/getProductCategoryList',
    method: 'get',
    params: query
  });
}

//用户订单
export function countOrder(query: any) {
  return request({
    url: '/order/pcOrder/countOrder',
    method: 'get',
    params: query
  });
}

//搜索栏下面的文字
export function getSearchTitle(query: any) {
  return request({
    url: '/system/indexSystem/getSearchTitle',
    method: 'get',
    params: query
  });
}
